_GPPortSettingsSerial Struct Reference

Port settings for serial ports. More...

`#include <gphoto2-port.h>`

## Data Fields

char | port [128]
int | speed
int | bits
GPPortSerialParity | parity
int | stopbits

## Detailed Description

Port settings for serial ports.

## Field Documentation

## bits

int _GPPortSettingsSerial::bits

How many bits data.

## parity

GPPortSerialParity _GPPortSettingsSerial::parity

parity data, see GP_PORT_SERIAL_PARITY_ defines

## port

char _GPPortSettingsSerial::port[128]

The portname (/dev/ttyX)

## speed

int _GPPortSettingsSerial::speed

The baudrate of the device.

## stopbits

int _GPPortSettingsSerial::stopbits

How many stop bits are used.

The documentation for this struct was generated from the following file:

- libgphoto2_port/gphoto2/gphoto2-port.h